<!-- Main Sidebar Container -->
<aside class="main-sidebar sidebar-dark-primary elevation-4">
  <!-- Brand Logo -->
  <a routerLink="/" class="brand-link">
    <img
      [src]="
        config.detail.images?.iconSystemPath36x36
          ? config.detail.images?.iconSystemPath36x36
          : config.detail.images?.iconSystemPath
      "
      [alt]="config.detail.name"
      class="brand-image img-circle elevation-3 bg-white"
      style="opacity: 0.8"
    />
    <span class="brand-text font-weight-light">{{ config.detail.name }}</span>
  </a>

  <!-- Sidebar -->
  <div class="sidebar">
    <!-- Sidebar user panel (optional) -->
    <ng-container *ngIf="principal$ | async as principal">
      <div *ngIf="principal && principal.token" class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <template-avatar
            [person]="principal"
            size="200"
            rating="g"
            class="img-circle elevation-2 bg-white"
            [default]="principal.imageUrl"
          >
          </template-avatar>
        </div>
        <div class="info">
          <a routerLink="/" class="d-block">{{ principal.name }}</a>
        </div>
      </div>
    </ng-container>

    <!-- Sidebar Menu -->
    <nav class="mt-2">
      <ul
        class="nav nav-pills nav-sidebar flex-column"
        data-widget="treeview"
        role="menu"
        data-accordion="false"
      >
        <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->

        <li
          class="nav-item"
          [ngClass]="{ 'menu-open': menuItem.selected && menuItem.children }"
          *ngFor="let menuItem of menu$ | async"
        >
          <a
            *ngIf="!menuItem.children"
            [routerLink]="menuItem.path"
            class="nav-link"
            [ngClass]="{ active: menuItem.selected }"
          >
            <i class="nav-icon" [ngClass]="menuItem.icon"></i>
            <p>
              {{ menuItem.name }}
              <span class="right badge badge-danger" *ngIf="menuItem.badge">{{
                menuItem.badge
              }}</span>
            </p>
          </a>
          <a
            *ngIf="menuItem.children"
            href="#"
            class="nav-link"
            [ngClass]="{ active: menuItem.selected }"
          >
            <i class="nav-icon" [ngClass]="menuItem.icon"></i>
            <p>
              {{ menuItem.name }}
              <i class="right fa fa-angle-left"></i>
            </p>
          </a>
          <ul class="nav nav-treeview" *ngIf="menuItem.children">
            <li class="nav-item" *ngFor="let subItem of menuItem.children">
              <a
                [routerLink]="subItem.path"
                class="nav-link"
                [ngClass]="{ active: subItem.selected }"
              >
                <i class="nav-icon" [ngClass]="subItem.icon"></i>
                <p>
                  {{ subItem.name }}
                  <span
                    class="right badge badge-danger"
                    *ngIf="subItem.badge"
                    >{{ subItem.badge }}</span
                  >
                </p>
              </a>
            </li>
          </ul>
        </li>

        <ng-template [ngIf]="labels && labels.length > 0">
          <li class="nav-header">LABELS</li>
          <li *ngFor="let label of labels" class="nav-item">
            <a class="nav-link">
              <i class="nav-icon" [ngClass]="label.icon"></i>
              <p class="text">{{ label.text }}</p>
            </a>
          </li>
        </ng-template>
      </ul>
    </nav>
    <!-- /.sidebar-menu -->
  </div>
  <!-- /.sidebar -->
</aside>
